Update Provider
UpdateProvider updates a provider’s mutable fields (display_name, description, disabled). The issuer_url is immutable after creation.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The unique ID of the provider.
Body
The WorkloadFederationServiceUpdateProviderRequest message.
WorkloadFederationProvider represents a tenant-level workload identity issuer registration. Two issuer schemes are supported:
- https://... classic OIDC issuer;
settings.oidcMUST be set. - spiffe://... SPIFFE trust-domain URI;
settings.spiffeMUST be set.
The (well_known_provider, issuer_url scheme, settings oneof) tuple is a tri-invariant: SPIFFE wkp ⟺ spiffe:// issuer ⟺ settings.spiffe set; any other wkp ⟺ https:// issuer ⟺ settings.oidc set. Issuer URLs are unique within tenant.
This message contains a oneof named settings. Only a single field of the following list may be set at a time:
- oidc
- spiffe
Response
Successful response
The WorkloadFederationServiceUpdateProviderResponse message.
WorkloadFederationProvider represents a tenant-level workload identity issuer registration. Two issuer schemes are supported:
- https://... classic OIDC issuer;
settings.oidcMUST be set. - spiffe://... SPIFFE trust-domain URI;
settings.spiffeMUST be set.
The (well_known_provider, issuer_url scheme, settings oneof) tuple is a tri-invariant: SPIFFE wkp ⟺ spiffe:// issuer ⟺ settings.spiffe set; any other wkp ⟺ https:// issuer ⟺ settings.oidc set. Issuer URLs are unique within tenant.
This message contains a oneof named settings. Only a single field of the following list may be set at a time:
- oidc
- spiffe